Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.providers.ejb
Class IntrinsicSessionConnection

    java.lang.Object
      |
      +--oracle.soap.providers.ejb.IntrinsicSessionConnection

All Implemented Interfaces:
  oracle.soap.providers.ejb.SessionConnection

public class IntrinsicSessionConnection
extends java.lang.Object
implements oracle.soap.providers.ejb.SessionConnection

Constructor Summary
`IntrinsicSessionConnection(javax.naming.Context ctx)`

Method Summary
`ActivatedObject` | `activate(java.lang.String name)`
`void` | `authenticate(java.lang.String username, java.lang.String password, java.lang.String role)`
`void` | `close()`
`javax.naming.Context` | `getNamingContext()`
`java.lang.String` | `getSchemaName()`
`boolean` | `isInServer()`
`boolean` | `isInSession()`
`java.lang.String[]` | `list(java.lang.String prefix)`
`LookedUpObject` | `lookup(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntrinsicSessionConnection

    public IntrinsicSessionConnection(javax.naming.Context ctx)

Method Detail

### authenticate

    public void authenticate(java.lang.String username,
                             java.lang.String password,
                             java.lang.String role)
                      throws SOAPException

  Specified by:
    `authenticate` in interface `oracle.soap.providers.ejb.SessionConnection`
    `SOAPException`

### close

    public void close()

  Specified by:
    `close` in interface `oracle.soap.providers.ejb.SessionConnection`

### isInServer

    public boolean isInServer()

  Specified by:
    `isInServer` in interface `oracle.soap.providers.ejb.SessionConnection`

### isInSession

    public boolean isInSession()

  Specified by:
    `isInSession` in interface `oracle.soap.providers.ejb.SessionConnection`

### getSchemaName

    public java.lang.String getSchemaName()

  Specified by:
    `getSchemaName` in interface `oracle.soap.providers.ejb.SessionConnection`

### getNamingContext

    public javax.naming.Context getNamingContext()

  Specified by:
    `getNamingContext` in interface `oracle.soap.providers.ejb.SessionConnection`

### lookup

    public LookedUpObject lookup(java.lang.String name)
                          throws SOAPException

  Specified by:
    `lookup` in interface `oracle.soap.providers.ejb.SessionConnection`
    `SOAPException`

### activate

    public ActivatedObject activate(java.lang.String name)
                             throws SOAPException

  Specified by:
    `activate` in interface `oracle.soap.providers.ejb.SessionConnection`
    `SOAPException`

### list

    public java.lang.String[] list(java.lang.String prefix)

  Specified by:
    `list` in interface `oracle.soap.providers.ejb.SessionConnection`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.